Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Qt 3 Support Members for QHostAddress

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QHostAddress class reference

## Public Functions

quint32 | ip4Addr () const
bool | isIPv4Address () const
bool | isIPv6Address () const
bool | isIp4Addr () const

## Member Function Documentation

### quint32 QHostAddress::ip4Addr () const

Use toIPv4Address() instead.

### bool QHostAddress::isIPv4Address () const

Use protocol() instead.

### bool QHostAddress::isIPv6Address () const

Use protocol() instead.

### bool QHostAddress::isIp4Addr () const

Use protocol() instead.